from ctypes import *

class _u(Union):
    _pack_ = 1

    class _s(Structure):
        _pack_ = 1
        _fields_ = [
            ('type', c_char),
            ('start', c_ushort),
        ]

    _anonymous_ = '_'
    _fields_ = [
        ('ext', c_char*3),
        ('_', _s),
    ]

class HobetaHdr(Structure):
    _pack_ = 1
    _anonymous_ = ["_"]
    _fields_ = [
        ('name', c_char*8),
        ('_', _u),
        ('size', c_ushort),
        ('reserved', c_ubyte),
        ('n_secs', c_ubyte),
        ('checksum', c_ushort),
    ]

class SCLFileHdr(Structure):
    _pack_ = 1
    _anonymous_ = '_'
    _fields_ = [
        ('name', c_char*8),
        ('_', _u),
        ('size', c_ushort),
        ('n_secs', c_ubyte),
    ]


class TRDFileHdr(Structure):
    _pack_ = 1
    _anonymous_ = '_'
    _fields_ = [
        ('name', c_char*8),
        ('_', _u),
        ('size', c_ushort),
        ('n_secs', c_ubyte),
        ('sec', c_ubyte),
        ('trk', c_ubyte),
    ]

